.block-cookbook-banner {
	--cwp-image: 150px;
	position: relative;
	align-items: center;
	text-align: center;
}

.editor-styles-wrapper .wp-block-cwp-cookbook-banner.has-background {
	padding: 0;
}

.block-cookbook-banner .block-cookbook-banner__inner {
	gap: 1rem;
}

.block-cookbook-banner .block-cookbook-banner__image,
.editor-styles-wrapper .wp-block-group:not(.is-layout-constrained) > .block-cookbook-banner__image {
	max-width: var(--cwp-image);
}

.block-cookbook-banner .wp-block-button__link {
	white-space: nowrap;
}

.block-cookbook-banner__content {
	max-width: 800px;
	flex-grow: 1;
}

.block-cookbook-banner__inner > .wp-block-buttons {
	flex-shrink: 0;
}

.block-cookbook-banner__content > .wp-block-heading:first-child + p {
	margin-block-start: 4px;
}

@media only screen and (max-width: 767px) {

	.block-cookbook-banner .block-cookbook-banner__inner,
	.editor-styles-wrapper .block-cookbook-banner .block-cookbook-banner__inner {
		display: block;
		text-align: center;
	}

	.block-cookbook-banner .block-cookbook-banner__image,
	.editor-styles-wrapper .wp-block-group:not(.is-layout-constrained) > .block-cookbook-banner__image {
		margin: 0 auto;
		margin-block-end: 16px;
	}

	.block-cookbook-banner__inner > .wp-block-buttons:not(:first-child) {
		margin-block-start: var(--wp--custom--layout--block-gap);
	}

}

@media only screen and (min-width: 768px) {
	.block-cookbook-banner.has-background {
		padding-inline-end: 40px;
	}

	.block-cookbook-banner {
		--cwp-image: 105px;
	}
}

.block-area-sidebar .block-cookbook-banner .block-cookbook-banner__inner {
	display: block;
	text-align: center;
}

.block-area-sidebar .block-cookbook-banner__image,
.block-area-sidebar .editor-styles-wrapper .block-cookbook-banner .block-cookbook-banner__image {
	margin: 0 auto;
	margin-block-end: var(--wp--custom--layout--block-gap);
}

.block-area-sidebar .block-cookbook-banner__inner > .wp-block-buttons:not(:first-child) {
	margin-block-start: var(--wp--custom--layout--block-gap);
}
